/**
 * SSRBootable
 * 
 * @mixin
 *
 * Used in layout components (drawer, toolbar, content)
 * to avoid an entry animation when using SSR
 */
export default {
  data: function data() {
    return {
      isBooted: false
    };
  },

  mounted: function mounted() {
    var _this = this;

    setTimeout(function () {
      return _this.isBooted = true;
    }, 200);
  }
};